﻿using System;

namespace Common
{
    public class CustomAttribute
    {
        /// <summary>
        /// 彩种表名称特性
        /// </summary>
        [AttributeUsage(AttributeTargets.Field, AllowMultiple = false, Inherited = false)]
        public sealed class TableNameAttribute : Attribute
        {
            private string _tablename;
            public string TableName { get { return _tablename; } }

            /// <summary>
            /// 构造函数
            /// </summary>
            /// <param name="TableName">表名称</param>
            public TableNameAttribute(string TableName)
            {
                this._tablename = TableName;
            }
        }
    }
}