﻿using System;

namespace Models
{
    /// <summary>
    /// 专题文章信息
    /// </summary>
    public class ArticleInfo
    {
        /// <summary>
        /// ID
        /// </summary>
        public int Id
        {
            get;
            set;
        }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title
        {
            get;
            set;
        }

        /// <summary>
        /// 分类ID
        /// </summary>
        public int Cid
        {
            get;
            set;
        }

        /// <summary>
        /// 标签ID
        /// </summary>
        public int TagId
        {
            get;
            set;
        }

        /// <summary>
        /// 简介
        /// </summary>
        public string ShortDetail
        {
            get;
            set;
        }

        /// <summary>
        /// 详情
        /// </summary>
        public string Detail
        {
            get;
            set;
        }

        /// <summary>
        /// 发布者ID
        /// </summary>
        public int EditId
        {
            get;
            set;
        }

        /// <summary>
        /// 发布者
        /// </summary>
        public string Editor
        {
            get;
            set;
        }

        /// <summary>
        /// 添加时间
        /// </summary>
        public DateTime Addtime
        {
            get;
            set;
        }
    }
}