﻿using System.ComponentModel;

namespace Common
{
    /// <summary>
    /// 彩种枚举
    /// </summary>
    public enum SCCLottery
    {
        #region 全国彩
        /// <summary>
        /// 福彩3D
        /// </summary>
        [CustomAttribute.TableNameAttribute("QG_FC3D")]
        [Description("福彩3D")]
        QGC_FC3D,

        /// <summary>
        /// 双色球
        /// </summary>
        [CustomAttribute.TableNameAttribute("QG_FCSSQ")]
        [Description("双色球")]
        QGC_SSQ,
        
        /// <summary>
        /// 排列三、排列五
        /// </summary>
        [CustomAttribute.TableNameAttribute("QG_TCP3")]
        [Description("排列三")]
        QGC_PL3,

        /// <summary>
        /// 大乐透
        /// </summary>
        [CustomAttribute.TableNameAttribute("QG_TCDLT")]
        [Description("大乐透")]
        QGC_DLT,
        
        #endregion
    }
}