﻿using System.Collections.Generic;
using Common;
using Models;

namespace Main.Base
{
    public class BaseJobManager
    {
        /// <summary>
        /// 初始化任务配置文件
        /// </summary>
        /// <returns></returns>
        protected List<JobConfigEntity> InitJobConfig()
        {
            string filePath = Utils.GetBaseDirectory("JobConfig.xml");

            List<JobConfigEntity> res = Utils.ConvertXmlToObject<JobConfigEntity>(filePath, "AJMSettings");

            return res;
        }
    }
}