﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Timers;
using Common;
using Common.Stopwatch;
using Logger;
using Models;

namespace Main
{
    partial class ThematicArticleSpiderService : ServiceBase
    {
        private JobManage _jobManage;

        public ThematicArticleSpiderService()
        {
            InitializeComponent();
            _jobManage = new JobManage();
        }


        protected override void OnStart(string[] args)
        {
            _jobManage.JobStart();
        }

        protected override void OnStop()
        {
            if (_jobManage != null)
            {
                _jobManage.JobStop();
            }
        }
    }
}
