﻿using System.Collections.Generic;

namespace Models
{
    public class RequectUrlEntity
    {
        /// <summary>
        /// 分类名称
        /// </summary>
        public string TypeName { get; set; }

        /// <summary>
        /// 项
        /// </summary>
        public List<Item> Items { get; set; }
    }

    public class Item
    {
        /// <summary>
        /// 子分类ID，和数据库一一对应
        /// </summary>
        public int Cid { get; set; }
        /// <summary>
        /// 标签ID
        /// </summary>
        public int TagId { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 数据源地址
        /// </summary>
        public string Url { get; set; }
    }
}